<?php $helper = $this->helper('MGS\Mpanel\Helper\Data') ?>
<?php $canUsePanel = $helper->acceptToUsePanel() ?>
<?php $footer = $helper->getStoreConfig('mgstheme/general/footer') ?>
<?php if($footer == '' || $footer == 'footer_1' || $footer == 'footer'): ?>

    <div class="footer-container">
       
                <!-- Static block: footer_block_newsletter_top -->
                <div class="footer-newsletter">
                  
                  <?php echo $this->getLayout()->createBlock("Magento\Newsletter\Block\Subscribe")->setTemplate("Magento_Newsletter::subscribe_footer.phtml")->toHtml(); ?>
                  <?php //echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer-social-new')->setCanUsePanel($canUsePanel)->toHtml() ?>
                </div>
            
        <div class="middle-footer">
            <div class="container">
                <div class="row">
                    <div class="footer-waste">
<?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer-waste')->setCanUsePanel($canUsePanel)->toHtml() ?>
</div>
                    <div class="col-md-4 footer-logo hidden-xs">
                        <!-- Static block: footer_block_categories -->
                        <div class="copyright-wrapper">
                          <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_contactus')->setCanUsePanel($canUsePanel)->toHtml() ?>
                          <!-- Static block: footer_block_menu_bottom -->
                        </div>

                    </div>
                    <div class="col-xs-12 copyright-privacy">
                        <!-- Static block: footer_block_categories -->
                        <div class="row">
                          <div class="col-xs-12 hidden-sm">
                            <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_contactus')->setCanUsePanel($canUsePanel)->toHtml() ?>
                          </div>
                          <div class="col-xs-8 col-md-12 hidden-xs hidden-sm">
                            <address><?php /* @escapeNotVerified */ echo $block->getCopyright() ?></address>
                          </div>
                        </div>
                        <!-- Static block: footer_block_menu_bottom -->
                        <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_block_menu_bottom')->setCanUsePanel($canUsePanel)->toHtml() ?>
                    </div>

                    <div class="col-md-3 col-sm-6 footer-home shrink-footer">
                        <!-- Static block: footer_block_categories -->
                        <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_block_popular')->setCanUsePanel($canUsePanel)->toHtml() ?>
                    </div>
                    <div class="col-md-3 col-sm-6 footer-bus shrink-footer">
                        <!-- Static block: footer_block_categories -->
                        <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_block_support')->setCanUsePanel($canUsePanel)->toHtml() ?>
                    </div>
                    <div class="col-md-2 col-sm-6 footer-about shrink-footer">
                        <!-- Static block: footer_block_categories -->
                        <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_block_company')->setCanUsePanel($canUsePanel)->toHtml() ?>
                    </div>
                    <div class="col-md-0 col-sm-6 footer-support shrink-footer">
                           <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer-follow-mobile')->setCanUsePanel($canUsePanel)->toHtml() ?>
                        <!-- Static block: footer_block_categories -->
                        <?php //echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_block_support')->setCanUsePanel($canUsePanel)->toHtml() ?>
                    </div>

                    <div class="clearfix visible-sm"></div>
                </div>
                <div class="small-footer">
                  <div class="row">
                    <div class="small-frow">
                      <div class="col-sm-6 small-frow-col desktop">
                        <address><?php /* @escapeNotVerified */ echo $block->getCopyright() ?></address>
                      </div>
                      <div class="col-sm-6 small-frow-col">
                        <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_block_menu_bottom')->setCanUsePanel($canUsePanel)->toHtml() ?>
                      </div>
                      <div class="col-sm-6 small-frow-col mobile">
                        <address><?php /* @escapeNotVerified */ echo $block->getCopyright() ?></address>
                      </div>
                    </div>
                  </div>
                </div>
            </div>
        </div>
    </div>    
 <div class="modal fade notify-window js-notify-window in" id="newsWindow" role="dialog">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal"> <i class="fa fa-close"></i> </button>
            <h1 class="modal-title">BE THE FIRST TO KNOW</h1>
            <h6 class="modal-sub-title">when this product is back in stock</h6>
          </div>
          <div class="modal-body">
             <form class="form notify-form" id="notify-form" method="post" data-mage-init='{"validation":{"rules":{"firstname":{"required":true},"email":{"required":true,"validate-email":true}}}}'>
              <input type="hidden" name="product_id" >
              <input name="form_key" type="hidden" value="<?php echo $block->getFormKey()?>">
              <div class="notify-form-wrapper">
                <div class="row">
                  <div class="col-sm-6 notify-window-col">
                    <div class="form-group">
                      <label class="label" for="fName">First Name</label>
                      <input id="fName" type="text" class="input-text" name="firstname" value="" data-validate='{"required":true}'>
                    </div>
                  </div>
                  <div class="col-sm-6 notify-window-col">
                    <div class="form-group">
                      <label class="label" for="lName">Last Name</label>
                      <input id="lName" type="text" class="input-text" name="lastname" value="">
                    </div>
                  </div>
                  <div class="col-sm-6 notify-window-col">
                    <div class="form-group">
                      <label class="label" for="pNumber">Phone Number</label>
                      <input id="pNumber" type="text" class="input-text" name="phone" value="">
                    </div>
                  </div>
                  <div class="col-sm-6 notify-window-col">
                    <div class="form-group">
                      <label class="label" for="qtyNumber">Qty Required</label>
                      <div class="counter-wrapper js-counter-wrapper ">
                        <span class="counter-buttons minus">-</span>
                        <input id="qtyNumber" type="text" class="input-text" name="qty" value="1">
                        <span class="counter-buttons plus">+</span>
                      </div>
                    </div>
                  </div>
                  <div class="col-sm-12 notify-window-col">
                    <div class="form-group">
                      <label class="label" for="notifyEmail">Email Address</label>
                      <input id="notifyEmail" type="text" class="input-text" name="email" value="">
                    </div>
                  </div>
                </div>
              </div>
              <div class="notify-window-btn">                
                  <button id="notifySubmit" type="submit" title="Submit" class="action submit btn btn-primary">
                <span>Submit</span>
            </button>
              </div>
            </form>

            <!-- After submit confirmation block -->
            <div class="notify-confirm hide">
              <img src="/media/wysiwyg/Icons/notify-confirmation-icon.png" class="notify-confirm-img img-responsive" alt="Notify Confirmation Icons">
              <h6 class="notify-confirm-data">Thank you. You will be notified when the product is back in stock</h6>
              <a href="#" class="notify-confirm-link" data-dismiss="modal">Continue Shopping</a>
            </div>
          </div>
        </div>

      </div>
    </div>
<?php elseif($footer == 'footer_2'): ?>
    <div class="footer-container">
        <div class="top-footer">
            <div class="container">
                <!-- Static block: footer_block_newsletter_top -->
                <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_block_newsletter_top')->setCanUsePanel($canUsePanel)->toHtml() ?>
            </div>
        </div>
        <div class="middle-footer">
            <div class="container">
                <div class="row">
                    <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                        <!-- Static block: footer_contact_us -->
                        <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_contact_us')->setCanUsePanel($canUsePanel)->toHtml() ?>
            <?php echo $this->getLayout()->createBlock('Magento\Store\Block\Switcher')->setTemplate('switch/stores.phtml')->toHtml() ?>
                    </div>
                    <div class="col-lg-2 col-md-2 col-sm-6 col-xs-12">
                        <!-- Static block: footer_block_categories -->
                        <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_block_categories')->setCanUsePanel($canUsePanel)->toHtml() ?>
                    </div>
                    <div class="clearfix visible-sm"></div>
                    <div class="col-lg-2 col-md-2 col-sm-6 col-xs-12">
                        <!-- Static block: footer_block_infomation -->
                        <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_block_infomation')->setCanUsePanel($canUsePanel)->toHtml() ?>
                    </div>
                    <div class="col-lg-2 col-md-2 col-sm-6 col-xs-12">
                        <!-- Static block: footer_block_quick_link -->
                        <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_block_quick_link')->setCanUsePanel($canUsePanel)->toHtml() ?>
                    </div>
                    <div class="clearfix visible-sm"></div>
                    <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                        <!-- Static block: footer_block_instagram -->
                        <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_block_instagram')->setCanUsePanel($canUsePanel)->toHtml() ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="bottom-footer">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6 col-md-7 col-sm-12 col-xs-12 copyright">
                        <address><?php /* @escapeNotVerified */ echo $block->getCopyright() ?></address>
                    </div>
                    <div class="col-lg-6 col-md-5 col-sm-12 col-xs-12">
                        <!-- Static block: footer_block_menu_bottom -->
                        <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_block_menu_bottom')->setCanUsePanel($canUsePanel)->toHtml() ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php elseif($footer == 'footer_3'): ?>
    <div class="footer-container">
        <div class="bottom-footer">
            <div class="container">
                <!-- Static block: footer_logo_and_social -->
                <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_logo_and_social')->setCanUsePanel($canUsePanel)->toHtml() ?>

                <!-- Static block: claue_footer3_custom_menu -->
                <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('claue_footer3_custom_menu')->setCanUsePanel($canUsePanel)->toHtml() ?>

        <?php echo $this->getLayout()->createBlock('Magento\Store\Block\Switcher')->setTemplate('switch/stores.phtml')->toHtml() ?>
                <div class="copyright">
                    <address><?php /* @escapeNotVerified */ echo $block->getCopyright() ?></address>
                </div>
            </div>
        </div>
    </div>
<?php elseif($footer == 'footer_4'): ?>
    <div class="footer-container">
        <div class="top-footer">
            <div class="container">
                <!-- Static block: footer_block_newsletter_top -->
                <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_block_newsletter_top')->setCanUsePanel($canUsePanel)->toHtml() ?>

            </div>
        </div>
        <?php
            // Background Image Left Footer
            $backgroundImage = "";
            $staticImage =  $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_background_image')->toHtml();
            if($staticImage != null) {
                preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $staticImage, $matches);
                if(!empty($matches[1][0])){
                    $backgroundImage = $matches[1][0];
                }
            }
        ?>
        <div class="middle-footer-container">
            <div class="middle-col" <?php if($backgroundImage != ""): ?>style="background-image:url(<?php echo $backgroundImage ?>);"<?php endif ?>>
                <div class="visible-builder text-center">
                    <a class="btn btn-default btn-xs" href="javascript:void(0)" data-toggle="modal" data-target="#change_bg_footer">Change Background</a>
                    <div id="change_bg_footer" class="modal fade" style="display: none;" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content"><button class="close" type="button" data-dismiss="modal">x</button>
                                <div class="modal-body">
                                    To change background-image of this col, you can create a static block with identifier footer_background_image. Insert an image to content of this static block.
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="middle-footer">
                    <div class="container">
                        <div class="row">
                            <div class="col-xs-12 margin-bottom40">
                                <!-- Static block: footer4_contact_us -->
                                <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer4_contact_us')->setCanUsePanel($canUsePanel)->toHtml() ?>


                            </div>
                            <div class="col-lg-4 col-sm-4 col-xs-12 margin-bottom40">
                                <!-- Static block: footer_block_categories -->
                                <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_block_categories')->setCanUsePanel($canUsePanel)->toHtml() ?>
                <?php echo $this->getLayout()->createBlock('Magento\Store\Block\Switcher')->setTemplate('switch/stores.phtml')->toHtml() ?>
                            </div>
                            <div class="col-lg-4 col-sm-4 col-xs-12 margin-bottom40">
                                <!-- Static block: footer_block_infomation -->
                                <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_block_infomation')->setCanUsePanel($canUsePanel)->toHtml() ?>
                            </div>
                            <div class="col-lg-4 col-sm-4 col-xs-12 margin-bottom40">
                                <!-- Static block: footer_block_quick_link -->
                                <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_block_quick_link')->setCanUsePanel($canUsePanel)->toHtml() ?>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="bottom-footer">
                    <div class="container">
                        <div class="copyright">
                            <address><?php /* @escapeNotVerified */ echo $block->getCopyright() ?></address>
                        </div>
                    </div>
                </div>
            </div>
            <div id="footer-map" class="footer-map">
                <!-- Static block: footer_block_image_map -->
                <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_block_image_map')->setCanUsePanel($canUsePanel)->toHtml() ?>
            </div>
        </div>
    </div>

<?php elseif($footer == 'footer_5'): ?>
    <div class="footer-container">
        <div class="middle-footer">
            <div class="container">
                <div class="row">
                    <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                        <!-- Static block: footer_block_categories -->
                        <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_block_categories')->setCanUsePanel($canUsePanel)->toHtml() ?>
                    </div>
          <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                        <!-- Static block: footer_block_quick_link -->
                        <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_block_quick_link')->setCanUsePanel($canUsePanel)->toHtml() ?>
                    </div>
          <div class="clearfix visible-sm"></div>
                    <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                        <!-- Static block: footer_block_infomation -->
                        <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_5_block_contact')->setCanUsePanel($canUsePanel)->toHtml() ?>
                    </div>
          <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                        <!-- Static block: footer_block_subscribe -->
                        <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_5_block_subscribe')->setCanUsePanel($canUsePanel)->toHtml() ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="bottom-footer">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6 col-md-7 col-sm-12 col-xs-12 copyright">
            <div class="logo-address">
              <?php echo $this->getLayout()->createBlock("Magento\Theme\Block\Html\Header\Logo")->setTemplate("Magento_Theme::html/header/logo.phtml")->toHtml(); ?>
              <address><?php /* @escapeNotVerified */ echo $block->getCopyright() ?></address>
            </div>
                    </div>
                    <div class="col-lg-6 col-md-5 col-sm-12 col-xs-12">
                        <!-- Static block: footer_block_menu_bottom -->
            <div class="payment-footer">
              <?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('footer_block_payment')->setCanUsePanel($canUsePanel)->toHtml() ?>
            </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif ?>
  <script>

require([
    'jquery',
    'mage/translate',
    'jquery/ui',
    'Magento_Catalog/js/catalog-add-to-cart'
], function($, $t,ui, addcart) {
    "use strict";   
 
             $.ajax({
                url: BASE_URL + '/accounthome/crosssell/index',
                async: false,
                type: 'post',

                beforeSend: function () {
                    $('#ajax_loader').show();
                    console.log("before send");
                },
                success: function (res) {
                    console.log("success", res);
                    if ($('#crosssellmini').length) {
                        $('#crosssellmini').html(res);
                        $('#crosssellmini').find('button.tocart').click(function (event) {
                            event.preventDefault();
                            var tag = $(this).parents('form:first');

                            var data = tag.serializeArray();
                            
$.mage.catalogAddToCart.prototype.initAjaxNewAddToCart(tag, 'catalog-add-to-cart-' + $.now(), tag.attr('action'), data);

                        });
                        jQuery('#ajax_loader').hide();
                    } else if (window.parent.jQuery('#crosssellmini').length) {
                        window.parent.jQuery('#crosssellmini').html(res);
                        window.parent.jQuery('button.tocart').click(function (event) {
                            event.preventDefault();
                            var tag = $(this).parents('form:first');
                            
                            var data = tag.serializeArray();
                            $.mage.catalogAddToCart.prototype.initAjaxNewAddToCart(tag, 'catalog-add-to-cart-' + $.now(), tag.attr('action'), data);


                        });
                        jQuery('#ajax_loader').hide();
                    }


                }
            });

       
});
     </script>

     <script type="text/javascript">
    require([
            'jquery',             
            'Magento_Ui/js/modal/modal',
            'mage/validation'
            ], function($, modal) {            
                $(document).ready(function(){  
                    var notifyform = $('#notify-form');
                    //notifyform.mage('validation', {"validation":{"rules": {"firstname": {"required":true}}}});

                    $("a.js-notify-window").on('click',function(){
                       var productIdPopup = $(this).attr('data-productid');
                      $('#newsWindow').find('input[name="product_id"]').val(productIdPopup);
                      $('.notify-confirm').addClass('hide');
                      $('.notify-form').removeClass('hide');
                    });
                    $('.modal-footer').hide();
                   $('#notifySubmit').on('click', function(e) {
                        e.preventDefault();
                        if(notifyform.validation('isValid')){
                          $.ajax({
                              type: "POST",
                              url: BASE_URL + "/stockalerts/index/save",
                              data: $('form#notify-form').serialize(),
                              success: function(response) {
                                if(response['success']) {
                                  $('.notify-confirm').removeClass('hide');
                                  $('.notify-form').addClass('hide');
                                }else{
                                  alert(response['error']);
                                }
                              },
                              error: function() {
                                  alert('Error! Something went wrong. Please try again later.');
                              }
                          });
                        }

                        return false;
                    });

                    $('.counter-wrapper .plus').click(function () {
                        if ($(this).prev().val() < 99) {
                          $(this).prev().val(+$(this).prev().val() + 1);
                        }
                    });
                    $('.counter-wrapper .minus').click(function () {
                        if ($(this).next().val() > 1) {
                          if ($(this).next().val() > 1) $(this).next().val(+$(this).next().val() - 1);
                        }
                    });


                });
            }
        );
    </script>

<style type="text/css">
.box-tocart .field.qty>.control{
  min-width: 115px !important;  
}
.heading-title {
    color: #242424 !important;
    text-transform: uppercase;
    text-align: center;
    margin-bottom: 50px;
    font-size: 32px;
    font-weight: 500 !important;
}
.btn-primary{
  border: 2px solid #242424 !important;
    background-color: #242424 !important; 
}
.btn-primary:hover, .btn-primary:focus, .btn-primary:active{
  color: #fff !important;
    border-color: #ffb129 !important;
    background-color: #ffb129 !important;
}
.al_top_header {
    background: #242424;
    padding: 10px 0px;
}
.al_top_header p {
    margin: 5px 0px 0px;
    color: #ffffff;
  font-weight: 100;
}
.al_top_header a {
    height: 30px !important;
    line-height: 30px !important;
    font-size: 15px !important;
    font-weight: 100 !important;
    float: right !important;
  background: #efefef !important;
    border: 1px solid #efefef !important;
    color: #242424 !important;
  border-radius: 20px;
}
.al_newsletter {
    background: #efefef;
    padding: 50px 0px;
    text-align: center;
  marginn-top: 50px;
}
.al_newsletter h2{
    margin-bottom: 30px;
    font-size: 22px;
    font-weight: 400;
    color: #000000;
  display: inline-block;
}
.al_newsletter input[type=email]{
text-align: center;
    background: transparent;
    border: none;
    border-bottom: 2px solid #000;
  margin: 20px 0px;
}
.al_newsletter form.form.subscribe{
  display: inline-block;
  width: 100%;
}
.al_newsletter form.form.subscribe .form-group{
  display: inline-block;
    width: 100%;
  font-size: 15px !important;
}
.al_newsletter input[type=email] {
    text-align: center;
    background: transparent;
    border: none;
    border-bottom: 2px solid #000;
    margin: 20px auto;
  width: 50%;
}
.al_newsletter form.form.subscribe .btn-primary{
  padding: 0px 40px;
}
.main-banner img.img-responsive{
  width: 100%;
}
.notify-box .alert{
  font-size: 12px !important;
}
.product-info-price{
  width: 100% !important; 
}
.price-box .old-price{
  margin-top: 8px;
  
}
.mgs-instant-search-dropdown span.old-price {
    margin-top: 0px;
}
.price-box .old-price .price{
  color: #b1b1b1 !important;
    text-decoration: line-through;
    text-decoration-color: red !important;
    font-size: 18px !important; 
}


.price-box .special-price .price {
    color: #0B0303 !important;
    display: inline-block !important;
}
.amount-wrapper span .al_discount_p{
  padding: 10px !important; 
}
.amount-wrapper span.special-price{
  display: inline-block;
    margin-top: 5px !important;
}
@media only screen and (max-width: 786px) {
.al_newsletter input[type=email]{
  font-size: 14px !important;
}
.al_top_header a {
    margin-top: 0px;
    font-size: 13px !important;
    height: 40px !important;
    line-height: 40px !important;
}
.al_top_header p{
  font-size: 13px !important;
}
.product-info-main .product-add-form .box-tocart .price-box{
  width: 100% !important;
}
span.special-price{
  margin-top: 8px !important;
    display: inline-block;
}
}
@media only screen and (max-width: 786px) {
.nav-before-open .nav-toggle:after{
    background: transparent !important;
}
.header:not(.header6):not(.header7) .megamenu-content{
    top: 90px !important;
}
.product-info-main .product-add-form .actions button.tocart, .bundle-info .product-details .actions button.tocart{
  color: #ffffff !important;  
}
}
.container-browse .infoi:hover .infoi-overlay-title{
  margin-top: 50px !important;
}
</style>

